package com.javaranch.pwcij;

public class AccountImpl implements Account  {
    private String m_name;
    private String m_acctNumber;
    private double m_balance;

    public AccountImpl(String name, String acctNumber) {
        m_name = name;
        m_acctNumber = acctNumber;
    }

    public double getBalance() {
        return m_balance;
    }

    public String getAccountNumber() {
        return m_acctNumber;
    }

    public String getCustomerName() {
        return m_name;
    }

    public void credit(double amount) {
        m_balance += amount;
    }

    public void debit(double amount) {
        m_balance -= amount;
    }
}
